package vn.hongyegroup.yybusiness.widget

import androidx.fragment.app.FragmentActivity
import com.android.basiclib.engine.dialog.PopupType
import com.android.basiclib.engine.dialog.showPopup
import com.android.basiclib.ext.click
import vn.hongyegroup.yybusiness.databinding.PopopAreYouSureBinding

object AreYouSureUtil {

    fun showPopup(activity: FragmentActivity, title: String, onConfirmAction: () -> Unit) {
        activity.showPopup(
            popupType = PopupType.CENTER,
            viewBinding = PopopAreYouSureBinding::inflate,
            onCreateListener = { binding, control ->
                binding.tvTitle.text = title
                binding.btnNo.click {
                    control.dismiss()
                }
                binding.btnYes.click {
                    control.dismiss()
                    onConfirmAction()
                }
            }
        )

    }

}