/**
 * @author Newki
 *
 * 项目编译配置与AppId配置
 */
object BuildConfig {
    const val minSdk = 21
    const val compileSdk = 34
    const val targetSdk = 33

    const val versionCode = 100
    const val versionName = "1.0.0"

    const val applicationId = "vn.hongyegroup.yybusiness"
    const val testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"

}

//项目的一些配置参数，可以在Service组件中写入到buildConfigField
object ProjectConfig {

//    const val isReleaseServer = true       //服务器环境， 正式环境设置 true
    const val isReleaseServer = false      //服务器环境，测试环境设置 false

    // 测试环境的域名
    const val baseUrl_dev = "http://vietnam-dev.casualabour.com"

    // 正式环境的域名
    const val baseUrl_rel = "http://vietnam.casualabour.com"
}

//签名文件信息配置
object SigningConfigs {
    //密钥文件路径
    const val store_file = "key/yybusiness.jks"

    //密钥密码
    const val store_password = "123456"

    //密钥别名
    const val key_alias = "guadou"

    //别名密码
    const val key_password = "123456"
}

