package com.android.basiclib.engine.dialog.creator

import android.view.LayoutInflater
import androidx.viewbinding.ViewBinding
import com.lxj.xpopup.core.BasePopupView

//根据弹窗的枚举类型，创建对应的弹窗实例，在引擎封装类中处理，外部只需要处理View的逻辑即可
interface IPopupViewCreator<VB : ViewBinding> {
    fun create(viewBinding: ((LayoutInflater) -> VB)?): BasePopupView
}
