package com.android.basiclib.engine.preview

import android.widget.ImageView
import com.lxj.xpopup.core.ImageViewerPopupView
import com.lxj.xpopup.interfaces.OnSrcViewUpdateListener

class ImagePreviewUpdateListenerAdapter(private val listener: ImagePreviewUpdateListener) : OnSrcViewUpdateListener {

    override fun onSrcViewUpdate(popupView: ImageViewerPopupView, position: Int) {

        listener.onSrcViewUpdate(object : ImagePreviewPopupController {

            override fun updateSrcView(srcView: ImageView) {

                popupView.updateSrcView(srcView)
            }

        }, position)
    }


}