plugins {
    id("com.android.library")
}

// 使用自定义插件
apply<DefaultGradlePlugin>()

android {
    namespace = "com.android.cs_service"

    defaultConfig {
        val isRelease = ProjectConfig.isReleaseServer
        buildConfigField("boolean", "IS_RELEASE_SERVER", "$isRelease")
        buildConfigField("int", "FEATURE_VERSION", "1")
        buildConfigField("String", "BASE_URL", "\"${if (isRelease) ProjectConfig.baseUrl_rel else ProjectConfig.baseUrl_dev}\"")
    }
}

dependencies {
    api(project(":cs-baselib"))
}